using System.ComponentModel.DataAnnotations;

namespace Fast.Models
{
    public class HolidayListItem
    {
        [Key] //need to set primary key for OData
        public int HolidayId { get; set; }
        [Display(Name = "Name")] public string Holiday { get; set; } = "";
        [Display(Name = "Date")] public DateOnly? Date { get; set; } = new();
        [Display(Name = "Schedule Type")] public string HolidayScheduleName { get; set; } = "";
    }
}
